# AppVeyor file
# http://www.appveyor.com/docs/appveyor-yml

# Build version format
version: "{build}"

# Test against this version of Node.js
environment:
  NODE_ENV: test

  matrix:
    - nodejs_version: "9.3.0"

build: off

branches:
  only:
  - master

install:
  - ps: Install-Product node $env:nodejs_version
  - npm install -g npm
  - npm config set progress=false
  - npm install

# Fix line endings on Windows
init:
  - git config --global core.autocrlf true

test_script:
  # Output useful info for debugging.
  - node --version && npm --version
  - ps: "npm --version # PowerShell" # Pass comment to PS for easier debugging
  - cmd: npm run test
